Subject: Re: RFC: Location for Device Tree Sources?

From: Matthew McClintock <[email-masked]>
Date: Wed, 02 Aug 2006 13:09:21 -0500

On Wed, 2006-08-02 at 09:38 -0700, Tom Rini wrote:
> I'll throw in the caveat that I'm not 100% sure we're that stable yet,
> but it certainly seems like it, at least for the overall portion where
> you might really have incompatible trees.  More or less complete (now
> every device is described!) dts should be interchangable to the kernel
> for the custom board X is just a little different from ref board Y
> issues (and now, in theory, the Just Like A Sandpoint board, with a
> correct dts will boot the 'sandpoint' kernel). 

The sandpoint (as far as I know) does not have a stable DTS. So in this
case including the DTS in the kernel would reduce confusion. The same
could be said for other boards where the DTS needed to be changed for
the IRQ rework. The old DTS will no longer boot the new kernels. I'm not
sure how much longer we will run into this problem though.

-Matthew